## python-scooby 0.9.2

=== requirements.txt ===
psutil
mkl

=== debian/changelog ===
python-scooby (0.9.2-2) unstable; urgency=medium

  * Team upload.
  * Source only upload

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jan 2024 17:37:07 +0100

python-scooby (0.9.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1060401)

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 13 Jan 2024 15:28:19 +0000

=== debian/control ===
Source: python-scooby
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Francesco Ballarin <francesco.ballarin@unicatt.it>,
 Drew Parsons <dparsons@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-setuptools-scm,
 python3-all,
Standards-Version: 4.6.2
Homepage: https://github.com/banesullivan/scooby
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-scooby
Vcs-Git: https://salsa.debian.org/python-team/packages/python-scooby.git

Package: python3-scooby
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Great Dane turned Python environment detective (Python 3)
 This is a lightweight tool for easily reporting your Python environment's
 package versions and hardware resources.
 .
 Scooby has HTML formatting for Jupyter notebooks and rich text formatting
 for just about every other environment. The module is designed to be
 lightweight such that it could easily be added as a dependency to Python
 projects for environment reporting when debugging.
 .
 This package installs the library for Python 3.

## python-scooby 0.10.0

=== debian/changelog ===
python-scooby (0.10.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0 (routine-update)

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 22 Jun 2024 15:16:19 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-setuptools,
  python3-setuptools-scm,
  python3-all,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/banesullivan/scooby
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-scooby
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-scooby.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=scooby

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: python3 -P -m pytest -k "not (test_cli or test_dict or test_get_version or test_import_os_error or test_import_time or test_tracking)" tests/
Depends: @, @builddeps@,
 python3,
 python3-bs4,
 python3-numpy,
 python3-pytest

## python-scooby 0.10.1

=== Makefile ===
# Simple makefile to simplify repetitive build env management tasks under posix

CODESPELL_DIRS ?= ./
CODESPELL_SKIP ?= "*.pyc,*.txt,*.gif,*.png,*.jpg,*.ply,*.vtk,*.vti,*.js,*.html,*.doctree,*.ttf,*.woff,*.woff2,*.eot,*.mp4,*.inv,*.pickle,*.ipynb,flycheck*,./.git/*,./.hypothesis/*,*.yml,./doc/_build/*,./doc/images/*,./dist/*,*~,.hypothesis*,./doc/examples/*,*.mypy_cache/*,*cover,./tests/tinypages/_build/*,*/_autosummary/*"


stylecheck: codespell lint
test: apitest doctest

codespell:
	@echo "Running codespell"
	@codespell $(CODESPELL_DIRS) -S $(CODESPELL_SKIP)

pydocstyle:
	@echo "Running pydocstyle"
	@pydocstyle scooby --match='(?!coverage).*.py'

lint:
	@echo "Linting with flake8"
	flake8 --ignore=E501,W503,D10,E123,E203 scooby tests

doctest:
	@echo "Running module doctesting"
	pytest -v --doctest-modules scooby

apitest:
	@echo "Running full API tests"
	pytest -v --cov scooby --cov-report xml

format:
	@echo "Formatting"
	black .
	isort .

=== requirements.txt ===
psutil
mkl; platform_system != 'Darwin'

=== debian/changelog ===
python-scooby (0.10.1-1) unstable; urgency=medium

  * Team upload.
  * Fix tests for Pytest 8.4
  * Standards-Version: 4.7.2 (routine-update)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 29 Aug 2025 21:24:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,20 @@
 Uploaders:
  Francesco Ballarin <francesco.ballarin@unicatt.it>,
  Drew Parsons <dparsons@debian.org>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ python3-all,
+ python3-bs4 <!nocheck>,
+ python3-numpy <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
- python3-all,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/banesullivan/scooby
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-scooby
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-scooby.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-scooby
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=scooby
export PYBUILD_TEST_ARGS='-k not test_get_version \
                         and not test_tracking \
                         and not test_import_os_error \
                         and not test_cli \
                         and not test_auto_report \
                         and not test_import_time \
                         '

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/banesullivan/scooby/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## python-scooby 0.11.0

=== debian/changelog ===
python-scooby (0.11.0-1) unstable; urgency=medium

  * Team upload.
  * Rewrite d/watch in v5 format
  * New upstream version 0.11.0
  * Switch to pybuild-plugin-pyproject
  * Apply Multi-Arch: hint
  * Disable useless Salsa CI jobs
  * Bump Standards-Version to 4.7.3, drop the now extraneous Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Thu, 01 Jan 2026 14:29:32 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-scooby
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Francesco Ballarin <francesco.ballarin@unicatt.it>,
@@ -8,13 +7,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-bs4 <!nocheck>,
  python3-numpy <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/banesullivan/scooby
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-scooby
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-scooby.git
@@ -22,6 +22,7 @@
 
 Package: python3-scooby
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${python3:Depends},
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
                          and not test_tracking \
                          and not test_import_os_error \
                          and not test_cli \
-                         and not test_auto_report \
                          and not test_import_time \
                          '

=== debian/watch ===
Version: 5

Template: GitHub
Owner: banesullivan
Project: scooby
